=== debian/changelog ===
smlnj (110.78-2) unstable; urgency=medium

  * Ensure build-dir is created before build-indep tries to use it.
  * Fix FTBFS on powerpc.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Jul 2015 23:19:56 -0400

smlnj (110.78-1) unstable; urgency=medium

  * New upstream release
  * debian/mkorig: Handle the new doc tarball.
  * Switch to 3.0 (quilt) source format
  * Fix i386 build on Linux 4.x kernels.  (Closes: #790283)
  * Replace Debian man pages with new upstream man pages.
  * Perform build in a build directory for easy cleanup.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Jul 2015 00:02:09 -0400

smlnj (110.76-2) unstable; urgency=medium

  * debian/control: Add Vcs-* fields
  * debian/rules: Actually build Arch: all packages when build/binary targets
    are used.
  * Include documentation for ml-burg, ml-lex, and ml-yacc
    + control: Add texlive-generic-recommended and transfig to
      Build-Depends-Indep
    + rules: Convert tree.fig to tree.ps to build ml-burg documentation
    + smlnj-doc: Install ml-burg, ml-lex, and ml-yacc manuals
    + Add doc-base registration for ml-burg, ml-lex, and ml-yacc
  * Update man pages to refer to installed documentation  (Closes: #752914)
  * Bump Standards-Version to 3.9.5, no changes required

 -- James McCoy <jamessan@debian.org>  Sat, 28 Jun 2014 23:25:06 -0400

smlnj (110.76-1) unstable; urgency=low

  * New upstream version.
    + Fix comparisons of Int64 on amd64.  (Closes: #709459)

 -- James McCoy <jamessan@debian.org>  Mon, 16 Sep 2013 21:48:08 -0400

smlnj (110.75-1) unstable; urgency=low

  * New upstream version.
  * Use interest-noawait for smlnj-runtime.

 -- James McCoy <jamessan@debian.org>  Wed, 08 May 2013 20:08:08 -0400

smlnj (110.74-2) unstable; urgency=low

  * Stop shipping /usr/lib/smlnj/bin/mkorig.  This is just used for packaging
    purposes.
  * Install config/extrapathconfig as seed for pathconfig trigger.  (Closes:
    #689123)
  * Add /usr/lib/smlnj trigger to smlnj-runtime to allow updating pathconfig
    automatically.
  * Remove {pkg-,}{de,}register scripts.  Updating pathconfig is now handled
    by triggers.
  * Remove no longer needed postinst/prerm maintainer scripts.
  * Add Breaks for packages installing files under /usr/lib/smlnj

 -- James McCoy <jamessan@debian.org>  Fri, 05 Oct 2012 20:46:53 -0400

smlnj (110.74-1) unstable; urgency=low

  * New upstream release.
    + Fixes building on 3.x kernels.
  * Remove sparc from Architecture list.

 -- James McCoy <jamessan@debian.org>  Sat, 18 Feb 2012 22:46:38 -0500

smlnj (110.73-2) unstable; urgency=low

  * Only set {build,binary}-arch as a prerequisite for the {build,binary}
    targets.

 -- James McCoy <jamessan@debian.org>  Fri, 20 Jan 2012 18:00:42 -0500

smlnj (110.73-1) unstable; urgency=low

  * New upstream version.
  * Use DEB_BUILD_OPTIONS=nodoc to disable building of documentation.
  * Declare source format 1.0
  * Lintian fixes:
    + Remove HISTORY from libckit-smlnj.docs, already installed as upstream
      changelog.
    + Remove leading article from libckit-smlnj's short description.

 -- James McCoy <jamessan@debian.org>  Wed, 18 Jan 2012 20:33:37 -0500

smlnj (110.72-1) unstable; urgency=low

  * New upstream release.
    - Upstream has integrated a patch I forwarded to remove bashisms.
      (Closes: #530119)
  * Switch to debhelper compat level 7.
  * debian/control:
    - Replace obsolete tetex-extra with texlive-latex-extra in
      Build-Depends-Indep. (Closes: #562359)
    - Remove dvipdfmx from Build-Depends-Indep (superfluous).
    - Remove dvi2ps from Build-Depends-Indep (in texlive-binaries)
    - New maintainer (Closes: #428273)
    - Update to Debian Policy 3.8.4.
    - Move smlnj-doc to Section: doc to follow Debian override file.
    - Remove duplicate words from descriptions
    - Expand and correct short and long descriptions for almost all
      shipped packages. (Closes: #493601)
    - Renable sparc in Architecture line.
    - Add ${misc:Depends} to binary packages for debhelper.
  * debian/dirs: Deleted, superfluous file.
  * debian/libckit-smlnj.doc-base: Added doc-base registration.
  * debian/{libmlnlffi-smlnj,ml-lpt}.docs: Don't ship pdf documentation in
    these packages; it is already shipped in smlnj-doc.
  * debian/mkorig: Modified script so it can be called automatically by
    uscan.
  * debian/{ml-ulex.1,ml-antlr.1,ml-lpt.manpages}: Add missing manpages for
    these two binaries.
  * debian/README.Debian: Updated to reflect changes to debian/mkorig.
  * debian/rules:
    - Add dh_installchangelog calls for libckit-smlnj.
    - Update to reflect namechange of templates in debian directory.
    - Use dh_prep instead of dh_clean -k.
    - Switch to separate unpack-source target and update .PHONY.
  * debian/smlnj.docs: Don't ship latex source in binary.
  * debian/smlnj-doc.doc-base.*: Register all documentation in smlnj-doc
    with doc-base.
  * debian/smlnj-doc.prerm: Remove this file; it was needed to fix a bug
    related to upgrades from smlnj-doc_110.67-3. This version predates Lenny
    and was never in a release of Debian stable.
  * debian/watch: Added commented watch file which calls debian/mkorig.
  * debian/{_wrapper,_postinst,_prerm}: Rename templates to filename.in.
  * debian/patches/use-psfig-not-epsfig.diff: SML/NJ's documentation still
    includes deprecated calls to psfig.sty, which has been removed from
    Debian. This patch uses the wrapper epsfig.sty. Long term, upstream
    has been encouraged to port SML/NJ to use the graphicx package.
  
 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 02:53:56 -0800

smlnj (110.69-1) unstable; urgency=low

  * Orphaned package.
  * New upstream release.
  * Standards-Version 3.8.1 (no changes necessary).
  * Use 110.68's bootstrap images instead of 110.69's.

 -- Kari Pahula <kaol@debian.org>  Sat, 06 Jun 2009 14:54:02 +0300

smlnj (110.67-4) unstable; urgency=low


