## smlnj 110.79

=== MLRISC/Doc/Makefile ===
#
# Build all documentation
#

all:
	(cd pictures; make)
	(cd html; make)
	(cd latex; make)

clean:
	(cd pictures; make clean)
	(cd html; make clean)
	(cd latex; make clean)
