=== debian/changelog ===
smlnj (110.79-8build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:51:23 +0200

smlnj (110.79-8) unstable; urgency=medium

  * Patch to not fail configuration for kernel 5+

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Oct 2022 19:40:38 +0100

smlnj (110.79-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.

  [ Barak A. Pearlmutter ]
  * Cherry-pick upstream copyright fix as patch (closes: #998154)
  * Bump debhelper from old 9 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Rules do not require root.
  * Adopt package (closes: #837735)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Oct 2022 09:27:56 +0100

smlnj (110.79-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Recover git packaging repo and use the one under Salsa Debian
      group.
    + Bump Standards-Version to 4.4.1.
    + Mark package smlnj-doc as M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2019 13:07:18 -0400

smlnj (110.79-5) unstable; urgency=medium

  * QA upload.
  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-extra and texlive-generic-recommended. Closes: #933588.
  * Drop references to obsolete anonscm.debian.org.

 -- Steve Langasek <vorlon@debian.org>  Sat, 28 Sep 2019 22:12:41 -0700

smlnj (110.79-4) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS: Unescaped left brace in regex is illegal here in regex":
    extend debian/patches/mltex2html-perl-fixes to escape literal opening
    braces in mltex2html script.
    (Closes: #871335)

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Aug 2017 11:46:37 -0400

smlnj (110.79-3) unstable; urgency=medium

  * QA upload.
  * Update the build dependency from texlive-math-extra
    to texlive-science.
  * Fix a spelling error in the ml-burg package description.

 -- Adrian Bunk <bunk@debian.org>  Mon, 03 Jul 2017 23:15:53 +0300

smlnj (110.79-2) unstable; urgency=medium

  * Add mltex2html-perl-fixes patch.  Fixes FTBFS when '.' is not part of @INC
    (Closes: #837263) and unescaped '{' in regex.
  * Orphan package and set Maintainer to QA Group.

 -- James McCoy <jamessan@debian.org>  Tue, 13 Sep 2016 21:41:59 -0400

smlnj (110.79-1) unstable; urgency=medium

  * New upstream release.
    + Remove all patches, merged upstream.
  * Add latexmk Build-Depends-Indep for new documentation build process.
  * Use secure URLs for Vcs-*
  * Remove obsolete Breaks from transition to triggers
  * Declare compliance with policy 3.9.8, no changes required

 -- James McCoy <jamessan@debian.org>  Thu, 04 Aug 2016 00:08:01 -0400
