=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 VERSION=$(shell cat $(CONFIGDIR)/version)
 
 srcdirs:=ckit cml config doc eXene heap2asm ml-burg ml-lex ml-lpt MLRISC ml-yacc nlffi pgraph smlnj-c smlnj-lib trace-debug-profile
-basedirs:=cm compiler runtime system
+basedirs:=cm compiler old-basis runtime system
 
 notlibs:=smlnj-runtime smlnj-doc
 libpkgs:=$(filter-out $(notlibs),$(shell dh_listpackages))
@@ -113,13 +113,13 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -i
-	dh_install -i --list-missing
+	dh_install -i
 
 install-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs -s
+	dh_installdirs -a
 	
 	dh_installchangelogs -psmlnj base/compiler/ChangeLog upstream
 	dh_installchangelogs -plibcml-smlnj cml/CHANGES upstream
@@ -127,7 +127,7 @@
 	dh_installchangelogs -plibsmlnj-smlnj smlnj-lib/CHANGES upstream
 	dh_installchangelogs -plibckit-smlnj ckit/HISTORY upstream
 	
-	dh_install -s --list-missing
+	dh_install -a
 	
 # make sure that the build path doesn't sneak in the link and run scripts
 	sed -i 's/BIN_DIR=".*smlnj.*"/BIN_DIR="\/usr\/lib\/smlnj\/bin\/"/' $(CURDIR)/debian/smlnj-runtime/usr/lib/smlnj/bin/.*-sml
@@ -138,12 +138,12 @@
 
 binary-arch: install-arch
 	dh_testdir -a
-	dh_testroot -a 
+	dh_testroot -a
 	dh_installchangelogs -a
 	dh_installdocs --exclude=".cvsignore" -a
 	dh_installexamples --exclude=".cvsignore" -a
 	dh_installman -a
-	dh_strip -a
+	dh_strip -a --no-automatic-dbgsym
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
@@ -154,12 +154,11 @@
 
 binary-indep: install-indep
 	dh_testdir -i
-	dh_testroot -i 
+	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs --exclude=".cvsignore" -i
 	dh_installexamples --exclude=".cvsignore" -i
 	dh_installman -i
-	dh_strip -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
